import JDLField from './jdl-field.js';
export default class JDLEntity {
    name: any;
    tableName: any;
    fields: Record<string, JDLField>;
    comment: any;
    constructor(args: any);
    addFields(fields?: JDLField[]): void;
    addField(field: JDLField): void;
    forEachField(functionToApply: (field: JDLField, index: number, array: JDLField[]) => void): void;
    toString(): string;
}
